# Makefile for TINE server generated on Thu Sep 21 12:33:59 2006

INCL = /usr/include/tine
INCCDI = ../lib

LIBTINE = -ltinemt
LIBCDI =  -lcdi
CDISERV = cdihdwsrv

HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/dbtools.h \
	${INCL}/swaplib.h \
	${INCL}/toolkit.h \
	${INCL}/hstlib.h \
	${INCL}/almlib.h

OBJS = cdiserv.o


CPP = g++ -I${INCL}
CC =  cc -c -g -Wall -I${INCL} -I${INCCDI}
CCL = cc -g -Wall
LM = -lm -lpthread  -lrt -ldl

all:	${CDISERV}
	touch all	

${CDISERV}: ${OBJS}
	${CCL} -o ${CDISERV} ${OBJS} ${LIBTINE}  ${LIBCDI}  ${LM}
	chmod a+s ${CDISERV}

cdiserv.o: cdiserv.c ${HDRS}
	${CC} cdiserv.c

clean:
	rm *.o

