#ifndef CDI_SEDPC_H_
#define CDI_SEDPC_H_

enum execSedacParamIndex
{
  sedacSubOffset,       /* sedac subaddress offset for read */
  sedacSubOffsetSecond, /* second sedac subaddress offset for write *//*cdiReadWrite or cdiWriteRead */
  sedacSubOffsetThird,  /* sedac subaddress offset for second write cdiWriteReadWrite */
};
int sedac(WORD lin, WORD cra, WORD bsa, int access, WORD *data, int ntelegrams, CdiRequestInfoBlk *pReq);

int filterSedacBus(int *parameter, int accessFlag);
int initSedacForCDI(int busLine, int cdiLine, int numberDevices, char *parameterList);
void execSedacBus(CdiRequestInfoBlk *pReq);
int initSedac(int ln);
int exitSedac(int ln);
int doSedacRequest(CdiRequestInfoBlk *pReq, int step);
int sedacScanFcn(char *target,char *result,int resultBufferSize);
int sedacBlockTrans(int *requestIndex, int numberRequest, void **blockBuffer, int openFlag);

#endif /* CDI_SEDPC_H_ */
