#ifndef CDI_SIMULATION_LIB_H_
#define CDI_SIMULATION_LIB_H_

#ifdef CDISIMULATE_EXPORTS
# define CDISIMULATE_EXPORT __declspec(dllexport) 
#endif

#ifndef CDISIMULATE_EXPORT
# define CDISIMULATE_EXPORT 
#endif


CDISIMULATE_EXPORT int filterSimulation(int *parameter, int accessFlag);
CDISIMULATE_EXPORT int initSimulation(int busLine, int cdiLine, int numberDevices, char *parameterList);
CDISIMULATE_EXPORT void simulationHandler(CdiRequestInfoBlk *pReq);
CDISIMULATE_EXPORT int exitSimulation(int ln);
CDISIMULATE_EXPORT int scanSimulationBus(char *target,char *result,int resultBufferSize);


#endif /* CDI_SIMULATION_LIB_H_ */
